package com.njcn.gather.report.pojo.constant;


import java.util.Arrays;
import java.util.List;

/**
 * 电能质量指标常用的一些常量池
 *
 * @author hongawen
 * @version 1.0
 * @data 2025/3/27 11:11
 */
public interface PowerConstant {

    /**
     * 有三相的指标
     */
    List<String> THREE_PHASE = Arrays.asList("V", "HV", "HI", "HP", "HSV", "HSI", "I", "P", "F");

    /**
     * T相指标
     */
    List<String> T_PHASE = Arrays.asList("VOLTAGE", "IMBV", "IMBA", "FREQ");

    /**
     * T相指标存B相字段
     */
    List<String> TB_PHASE = Arrays.asList("IMBV", "IMBA");


    /**
     * 有次数的指标
     */
    List<String> TIME = Arrays.asList("HV", "HI", "HP", "HSV", "HSI");

    /**
     * 没有次数的指标
     */
    List<String> NO_TIME = Arrays.asList("V", "I", "P", "VOLTAGE", "IMBV", "IMBA", "F", "FREQ");

    /**
     * 有数据范围
     */
    List<Integer> DATA_RANGE = Arrays.asList(1, 2);

    /**
     * abc相别
     */
    List<String> PHASE_ABC = Arrays.asList("a", "b", "c");


    /**
     * 暂态符号
     */
    String VOLTAGE = "VOLTAGE";

    /**
     * A相
     */
    String PHASE_A = "A";

    /**
     * B相
     */
    String PHASE_B = "B";

    /**
     * C相
     */
    String PHASE_C = "C";

    /**
     * T相
     */
    String PHASE_T = "T";

    /**
     * 电流单位
     */
    String CURRENT_UNIT = "A";

    /**
     * 电压单位
     */
    String VOLTAGE_UNIT = "V";

}
